Sign inGet started

Flow Run Metrics

Query for time series metrics that will provide you details around the total number of flow run invocations, failures, errors and similar metrics.
In order to query flow run metrics you must have the Flow ID and perform a HTTP request to the following endpoint with a valid access key.
Filter TypesFilter ID
flowThe Flow ID from the flow
POST
/workspaces/{workspaceId}/reporting/flowruns/{filterType}/{filterId}/metrics
Fetch flow metrics for a flow
Corps de la requête
periodStart
string
obligatoire
periodEnd
string
obligatoire
periodGroup
string
obligatoire
Possible values: minute, hour, day, month
groupBy
array of string
Corps de la réponse
periodGroup
string
Possible values: minute, hour, day, month
dataColumns
array of string
obligatoire
results
array of object
Afficher les attributs enfants
results.periodTime
string
obligatoire
results.count
integer
results.data
array of string
Exemple de code
curl -X POST 'https://api.bird.com/workspaces/{workspaceId}/reporting/flowruns/{filterType}/{filterId}/metrics' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'